﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 09/09/2019 13:02:00
-- Server version: 5.5.5-10.1.40-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS world;

CREATE DATABASE IF NOT EXISTS world
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE world;

--
-- Create table `country`
--
CREATE TABLE IF NOT EXISTS country (
  Code char(3) NOT NULL DEFAULT '',
  Name char(52) NOT NULL DEFAULT '',
  Continent enum ('Asia', 'Europe', 'North America', 'Africa', 'Oceania', 'Antarctica', 'South America') NOT NULL DEFAULT 'Asia',
  Region char(26) NOT NULL DEFAULT '',
  SurfaceArea float(10, 2) NOT NULL DEFAULT 0.00,
  IndepYear smallint(6) DEFAULT NULL,
  Population int(11) NOT NULL DEFAULT 0,
  LifeExpectancy float(3, 1) DEFAULT NULL,
  GNP float(10, 2) DEFAULT NULL,
  GNPOld float(10, 2) DEFAULT NULL,
  LocalName char(45) NOT NULL DEFAULT '',
  GovernmentForm char(45) NOT NULL DEFAULT '',
  HeadOfState char(60) DEFAULT NULL,
  Capital int(11) DEFAULT NULL,
  Code2 char(2) NOT NULL DEFAULT '',
  PRIMARY KEY (Code)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 479,
CHARACTER SET utf8,
COLLATE utf8_spanish_ci;

--
-- Create table `countrylanguage`
--
CREATE TABLE IF NOT EXISTS countrylanguage (
  CountryCode char(3) NOT NULL DEFAULT '',
  Language char(30) NOT NULL DEFAULT '',
  IsOfficial enum ('T', 'F') NOT NULL DEFAULT 'F',
  Percentage float(4, 1) NOT NULL DEFAULT 0.0,
  PRIMARY KEY (CountryCode, Language)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 99,
CHARACTER SET utf8,
COLLATE utf8_spanish_ci;

--
-- Create foreign key
--
ALTER TABLE countrylanguage
ADD CONSTRAINT countryLanguage_ibfk_1 FOREIGN KEY (CountryCode)
REFERENCES country (Code);

--
-- Create table `city`
--
CREATE TABLE IF NOT EXISTS city (
  ID int(11) NOT NULL AUTO_INCREMENT,
  Name char(35) NOT NULL DEFAULT '',
  CountryCode char(3) NOT NULL DEFAULT '',
  District char(20) NOT NULL DEFAULT '',
  Population int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (ID)
)
ENGINE = INNODB,
AUTO_INCREMENT = 4080,
AVG_ROW_LENGTH = 101,
CHARACTER SET utf8,
COLLATE utf8_spanish_ci;

--
-- Create foreign key
--
ALTER TABLE city
ADD CONSTRAINT city_ibfk_1 FOREIGN KEY (CountryCode)
REFERENCES country (Code);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;